task merge {
	Array[File] child_violation_sister
	Array[File] child_violation_sister_idx
	Array[File] child_violation_nonsister
	Array[File] child_violation_nonsister_idx
	Array[File] child_consistent_sister
	Array[File] child_consistent_sister_idx
	Array[File] child_consistent_nonsister
	Array[File] child_consistent_nonsister_idx
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge --force-merge-all --no-gzip -o ${sample_name}.violation.sister.vcf ${sep=" " child_violation_sister}

		rtg vcfmerge --force-merge-all --no-gzip -o ${sample_name}.violation.nonsister.vcf ${sep=" " child_violation_nonsister}

		rtg vcfmerge --force-merge-all --no-gzip -o ${sample_name}.consistent.sister.vcf ${sep=" " child_consistent_sister}
		
		rtg vcfmerge --force-merge-all --no-gzip -o ${sample_name}.consistent.nonsister.vcf ${sep=" " child_consistent_nonsister}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File violation_sister_merged_vcf = "${sample_name}.violation.sister.vcf"
		File violation_nonsister_merged_vcf = "${sample_name}.violation.nonsister.vcf"
		File consistent_sister_merged_vcf = "${sample_name}.consistent.sister.vcf"
		File consistent_nonsister_merged_vcf = "${sample_name}.consistent.nonsister.vcf"
	}
}
