task zipIndex {
	File violation_vcf
	File consistent_vcf
	File child_vcf_gz
	File child_vcf_idx
	File child_name
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${violation_vcf} -c > ${family_name}.violation.vcf.gz
		rtg index -f vcf ${family_name}.violation.vcf.gz

		rtg bgzip ${consistent_vcf} -c > ${family_name}.consistent.vcf
		rtg index -f vcf ${family_name}.consistent.vcf.gz

		rtg vcffilter -i ${child_vcf_gz} -o ${child_name}.violation.vcf.gz --include-vcf=${family_name}.violation.vcf.gz

		rtg vcffilter -i ${child_vcf_gz} -o ${child_name}.consistent.vcf.gz --include-vcf=${family_name}.consistent.vcf.gz		

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File violation_vcf_gz = "${child_name}.violation.vcf.gz"
		File violation_vcf_idx = "${child_name}.violation.vcf.gz.tbi"
		File consistent_vcf_gz = "${child_name}.consistent.vcf"
		File consistent_vcf_idx = "${child_name}.consistent.vcf.tbi"
	}
}